
Robotics Systems Types - Feature #1853
Add OccupancyGridInt to sandbox
04/22/2014 08:40 PM - L. Ziegler

Status: Resolved Start date: 04/22/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version:
Description

Please add OccupancyGridInt to sandbox and backport to 0.10.

Used integer instead of float for representing grid values, because otherwise an 'unknown' label would be harder to realize. Probability
resolution is sufficient and this representation is also more light-weight than float. Also this is fully compatible with corresponding ROS
message.

Associated revisions
Revision b3e52a0b - 04/24/2014 03:44 PM - L. Ziegler

Added new type OccupancyGrid2DInt

refs #1853

Used integer instead of float for representing grid values, because
otherwise an 'unknown' label would be harder to realize. Probability
resolution is sufficient and this representation is also more
light-weight than float. Also this is fully compatible with
corresponding ROS message.

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision 04b6d34d - 04/24/2014 03:46 PM - L. Ziegler

Backport: Added new type OccupancyGrid2DInt

fixes #1853

Used integer instead of float for representing grid values, because
otherwise an 'unknown' label would be harder to realize. Probability
resolution is sufficient and this representation is also more
light-weight than float. Also this is fully compatible with
corresponding ROS message.

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

History
#1 - 04/23/2014 01:19 PM - J. Wienke
- Assignee set to L. Ziegler

04/25/2024 1/2

mailto:jmoringe@techfak.uni-bielefeld.de
mailto:jmoringe@techfak.uni-bielefeld.de


Some comments:
    -  Typo in typo header: "representation id often" 
    -  Comment for map data:
        -  What is (0,0) pixels of the map? World coordinates?
        -  Byte encoding: big or little endian?
    -  Add assertion to message that map length = width * height 
    -  Pose:
        -  Explain how rotation relates to world and grid properties
    -  Add 2D to the name
    -  newline after last member

#2 - 04/24/2014 10:44 AM - L. Ziegler
- File 0001-Added-new-Type-OccupancyGridInt.patch added

Created new patch according to comments.

#3 - 04/24/2014 03:03 PM - J. Wienke
- Assignee changed from L. Ziegler to J. Moringen

Jan, could you please push this. I still can't. :( The patch looks fine to me and all comments are incorporated.

#4 - 04/24/2014 03:46 PM - L. Ziegler
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-proto|commit:04b6d34d5dd7c2b77fca40310ad035e179a32fd0.

Files
0001-Added-new-Type-OccupancyGridInt.-Used-integer-instea.patch 2.06 KB 04/22/2014 L. Ziegler
0001-Added-new-Type-OccupancyGridInt.patch 2.37 KB 04/24/2014 L. Ziegler
